<?php 
	/**
	 Plugin Name: Auto Traffic Buddy
	 Plugin URI: http://autotrafficbuddy.com/
	 Version: 1.0.25
	 Description: Automatically promote new posts to your blog network.
	 Author: Auto Traffic Buddy
	 Author URI: http://autotrafficbuddy.com/
	 License: GPL2
	*/
	/*  Copyright 2011 Archon Holdings Inc */
	
	include ("atb_install.php");
	function atb_add_menu() {
		$atb_options_page = add_options_page('Auto Traffic Buddy', 'Auto Traffic Buddy', 'administrator', basename(__FILE__), 'autotrafficbuddy');
	    add_action("admin_print_scripts-$atb_options_page", 'atb_admin_js');
	    add_action("admin_print_styles-$atb_options_page", 'atb_admin_css');	
  		 add_submenu_page(__FILE__, '', '', 'administrator', 'atb-import', 'atb_site_import');	
	}
	
	function autotrafficbuddy() {
		include("autotrafficbuddy.php");
	}
	
	function atb_admin_css() { // options css
		wp_enqueue_style('atb_tabs_css', ATB_PLUGIN_URL . '/includes/atb.css');
	}
	
	function atb_admin_js() {
		wp_enqueue_script('jquery-ui-core');
		wp_enqueue_script('jquery-ui-dialog');
		wp_enqueue_script('jquery-ui-tabs');
		// mod_security rules block jquery-cookie
      wp_enqueue_script('jquery-cookei', plugins_url('/includes/jquery.cookei.js', __FILE__), array('jquery'));
      wp_enqueue_script( 'jquery-cookei' );
      wp_register_script( 'atb_scripts', plugins_url('/includes/atb.js', __FILE__));
      wp_enqueue_script( 'atb_scripts' );
	}

	
	// Initialization
	add_action('admin_menu', 'atb_add_menu');
	register_deactivation_hook(__FILE__, 'atb_deactivate');
	register_activation_hook(__FILE__, 'atb_activate');
	
?>